when.hpp File Reference

Forward declares `boost::hana::when` and `boost::hana::when_valid`. More...

## Classes

struct | boost::hana::when< condition >
| Enable a partial specialization only if a boolean condition is true. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Typedefs

template<typename... >
using | boost::hana::when_valid = when< true >
| Variant of `when` allowing specializations to be enabled only if an expression is well-formed. More...

## Detailed Description

Forward declares `boost::hana::when` and `boost::hana::when_valid`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)